BaseinfraClient

class oci.datacc.BaseinfraClient(config, **kwargs)

API for Database Infrastructure Cloud@Customer Service. Use this API to manage Database Infrastructure VM clusters, Application VMs, and related resources.

Methods

__init__(config, **kwargs) Creates a new service client
activate_infrastructure(…) Activate an Database Infrastructure using the specified details.
change_infrastructure_compartment(…) Change the Database Infrastructure Cloud@Customer Compartment to the specified `OCID`__.
change_vm_cluster_network_compartment(…) Change the VM cluster network Compartment to the specified `OCID`__.
change_vm_instance_compartment(…) Change the VM instance on Database Infrastructure Compartment to the specified `OCID`__.
create_infrastructure(…) Create a Database Infrastructure using the specified details.
create_vm_cluster_network(…) Create an VM cluster on Database Infrastructure network using the specified details.
create_vm_instance(…) Create an VM instance on Database Infrastructure using the specified details.
delete_infrastructure(infrastructure_id, …) Delete the Database Infrastructure that has the specified `OCID`__.
delete_vm_cluster_network(…) Delete the VM cluster network on Database Infrastructure that has the specified `OCID`__.
delete_vm_instance(vm_instance_id, **kwargs) Delete the VM instance on Database Infrastructure that has the specified `OCID`__.
download_infrastructure_config_file(…) Downloads the configuration file for the specified Database Infrastructure Cloud@Customer.
download_infrastructure_validation_script(…) Downloads the validation script for the specified Database Infrastructure Cloud@Customer.
generate_recommended_vm_cluster_network(…) Generates an VM cluster network configuration using the specified details.
get_infrastructure(infrastructure_id, **kwargs) Obtain the Database Infrastructure that has the specified `OCID`__.
get_infrastructure_scale_option(…) Get the available scale options for the infrastructure that has the specified `OCID`__.
get_maintenance_execution(…) Gets information about the specified `OCID`__.
get_maintenance_run(maintenance_run_id, **kwargs) Gets information about the specified `OCID`__.
get_vm_cluster_network(…) Obtain the VM cluster network on Database Infrastructure that has the specified `OCID`__.
get_vm_instance(vm_instance_id, **kwargs) Obtain the VM instance on Database Infrastructure that has the specified `OCID`__.
get_work_request(work_request_id, **kwargs) Get the status of the work request having the specified work request `OCID`__.
list_infrastructures(compartment_id, **kwargs) Obtain a list of Database Infrastructures.
list_maintenance_executions(compartment_id, …) Gets a list of the maintenance executions in the specified compartment.
list_maintenance_runs(compartment_id, **kwargs) Gets a list of the maintenance runs in the specified compartment.
list_vm_cluster_networks(compartment_id, …) Obtain a list of VM cluster networks on Database Infrastructure.
list_vm_instances(compartment_id, **kwargs) Obtain a list of VM instances.
list_work_request_errors(work_request_id, …) View the list of errors for the work request that have the specified work request `OCID`__.
list_work_request_logs(work_request_id, **kwargs) View the log entries for the work request that have the specified work request `OCID`__.
list_work_requests(compartment_id, **kwargs) View a list of work request details in the specified compartment.
migrate_vm_instance(vm_instance_id, **kwargs) Migrate the VM instance on Database Infrastructure that has the specified `OCID`__.
reschedule_maintenance_run(…) Reschedules the specified maintenance run by providing a new timeScheduled value.
restart_vm_instance(vm_instance_id, **kwargs) Restart the VM instance on Database Infrastructure that has the specified `OCID`__.
scale_infrastructure_storage(…) Scale storage for the specified infrastructure using the specified details.
scale_vm_instance(scale_vm_instance_details, …) Scale the VM instance on Database Infrastructure that has the specified `OCID`__.
start_vm_instance(vm_instance_id, **kwargs) Start the VM instance on Database Infrastructure that has the specified `OCID`__.
stop_vm_instance(vm_instance_id, **kwargs) Stop the VM instance on Database Infrastructure that has the specified `OCID`__.
update_infrastructure(…) Update the Database Infrastructure that has the specified `OCID`__.
update_maintenance_run(…) Update maintenance run attributes.
update_vm_cluster_network(…) Update the VM cluster network on Database Infrastructure that has the specified `OCID`__.
update_vm_instance(…) Update the VM instance on Database Infrastructure that has the specified `OCID`__.
validate_infrastructure(…) Validate an Database Infrastructure using the specified details.
validate_vm_cluster_network(…) Validates an VM cluster network on Database Infrastructure.
__init__(config, **kwargs)

Creates a new service client

Parameters:
  • config (dict) – Configuration keys and values as per SDK and Tool Configuration. The from_file() method can be used to load configuration from a file. Alternatively, a dict can be passed. You can validate_config the dict using validate_config()
  • service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.
  • timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
  • signer (AbstractBaseSigner) –

    (optional) The signer to use when signing requests made by the service client. The default is to use a Signer based on the values provided in the config parameter.

    One use case for this parameter is for Instance Principals authentication by passing an instance of InstancePrincipalsSecurityTokenSigner as the value for this keyword argument

  • retry_strategy (obj) –

    (optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a retry_strategy keyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.

    This should be one of the strategies available in the retry module. A convenience DEFAULT_RETRY_STRATEGY is also available. The specifics of the default retry strategy are described here.

  • circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses DEFAULT_CIRCUIT_BREAKER_STRATEGY as default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.
  • circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
  • client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
  • allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
  • enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
activate_infrastructure(activate_infrastructure_details, infrastructure_id, **kwargs)

Activate an Database Infrastructure using the specified details.

Parameters:
  • activate_infrastructure_details (oci.datacc.models.ActivateInfrastructureDetails) – (required) The activation details for the Database Infrastructure.
  • infrastructure_id (str) –

    (required) The `OCID`__ of the Database Infrastructure.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type Infrastructure

Return type:

Response

Example:

Click here to see an example of how to use activate_infrastructure API.

change_infrastructure_compartment(infrastructure_id, change_infrastructure_compartment_details, **kwargs)

Change the Database Infrastructure Cloud@Customer Compartment to the specified `OCID`__.

Parameters:
  • infrastructure_id (str) –

    (required) The `OCID`__ of the Database Infrastructure.

  • change_infrastructure_compartment_details (oci.datacc.models.ChangeInfrastructureCompartmentDetails) – (required) Updated Compartment details.
  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use change_infrastructure_compartment API.

change_vm_cluster_network_compartment(vm_cluster_network_id, change_vm_cluster_network_compartment_details, **kwargs)

Change the VM cluster network Compartment to the specified `OCID`__.

Parameters:
  • vm_cluster_network_id (str) –

    (required) The `OCID`__ of the VM cluster network.

  • change_vm_cluster_network_compartment_details (oci.datacc.models.ChangeVmClusterNetworkCompartmentDetails) – (required) Updated Compartment details.
  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use change_vm_cluster_network_compartment API.

change_vm_instance_compartment(vm_instance_id, change_vm_instance_compartment_details, **kwargs)

Change the VM instance on Database Infrastructure Compartment to the specified `OCID`__.

Parameters:
  • vm_instance_id (str) –

    (required) The `OCID`__ of the VM instance.

  • change_vm_instance_compartment_details (oci.datacc.models.ChangeVmInstanceCompartmentDetails) – (required) Updated Compartment details.
  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use change_vm_instance_compartment API.

create_infrastructure(create_infrastructure_details, **kwargs)

Create a Database Infrastructure using the specified details.

Parameters:
  • create_infrastructure_details (oci.datacc.models.CreateInfrastructureDetails) – (required) New Database Infrastructure details.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type Infrastructure

Return type:

Response

Example:

Click here to see an example of how to use create_infrastructure API.

create_vm_cluster_network(create_vm_cluster_network_details, **kwargs)

Create an VM cluster on Database Infrastructure network using the specified details.

Parameters:
  • create_vm_cluster_network_details (oci.datacc.models.CreateVmClusterNetworkDetails) – (required) New VM cluster network details.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type VmClusterNetwork

Return type:

Response

Example:

Click here to see an example of how to use create_vm_cluster_network API.

create_vm_instance(create_vm_instance_details, **kwargs)

Create an VM instance on Database Infrastructure using the specified details.

Parameters:
  • create_vm_instance_details (oci.datacc.models.CreateVmInstanceDetails) – (required) New VM instance details.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type VmInstance

Return type:

Response

Example:

Click here to see an example of how to use create_vm_instance API.

delete_infrastructure(infrastructure_id, **kwargs)

Delete the Database Infrastructure that has the specified `OCID`__. It must be called once the resource usage is complete.

Parameters:
  • infrastructure_id (str) –

    (required) The `OCID`__ of the Database Infrastructure.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_request_id (str) – (optional) The client request identifier.
  • is_force_delete_infrastructure (bool) – (optional) When set to true, infrastructure will be deleted even if it has dependent resources. If set to false, deletion will fail if the infrastructure has dependent resources. Default is false.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use delete_infrastructure API.

delete_vm_cluster_network(vm_cluster_network_id, **kwargs)

Delete the VM cluster network on Database Infrastructure that has the specified `OCID`__. It must be called once the resource usage is complete.

Parameters:
  • vm_cluster_network_id (str) –

    (required) The `OCID`__ of the VM cluster network.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use delete_vm_cluster_network API.

delete_vm_instance(vm_instance_id, **kwargs)

Delete the VM instance on Database Infrastructure that has the specified `OCID`__. It must be called once the resource usage is complete.

Parameters:
  • vm_instance_id (str) –

    (required) The `OCID`__ of the VM instance.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use delete_vm_instance API.

download_infrastructure_config_file(infrastructure_id, **kwargs)

Downloads the configuration file for the specified Database Infrastructure Cloud@Customer.

Parameters:
  • infrastructure_id (str) –

    (required) The `OCID`__ of the Database Infrastructure.

  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type stream

Return type:

Response

Example:

Click here to see an example of how to use download_infrastructure_config_file API.

download_infrastructure_validation_script(infrastructure_id, **kwargs)

Downloads the validation script for the specified Database Infrastructure Cloud@Customer.

Parameters:
  • infrastructure_id (str) –

    (required) The `OCID`__ of the Database Infrastructure.

  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type stream

Return type:

Response

Example:

Click here to see an example of how to use download_infrastructure_validation_script API.

Generates an VM cluster network configuration using the specified details.

Parameters:
  • generate_recommended_vm_cluster_network_details (oci.datacc.models.GenerateRecommendedVmClusterNetworkDetails) – (required) Request to generate a recommended VM cluster network details configuration.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type CreateVmClusterNetworkDetails

Return type:

Response

Example:

Click here to see an example of how to use generate_recommended_vm_cluster_network API.

get_infrastructure(infrastructure_id, **kwargs)

Obtain the Database Infrastructure that has the specified `OCID`__.

Parameters:
  • infrastructure_id (str) –

    (required) The `OCID`__ of the Database Infrastructure.

  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type Infrastructure

Return type:

Response

Example:

Click here to see an example of how to use get_infrastructure API.

get_infrastructure_scale_option(infrastructure_id, **kwargs)

Get the available scale options for the infrastructure that has the specified `OCID`__.

Parameters:
  • infrastructure_id (str) –

    (required) The `OCID`__ of the Database Infrastructure.

  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type InfrastructureScaleOption

Return type:

Response

Example:

Click here to see an example of how to use get_infrastructure_scale_option API.

get_maintenance_execution(maintenance_execution_id, **kwargs)

Gets information about the specified `OCID`__.

Parameters:
  • maintenance_execution_id (str) – (required) The maintenance execution OCID.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type MaintenanceExecution

Return type:

Response

Example:

Click here to see an example of how to use get_maintenance_execution API.

get_maintenance_run(maintenance_run_id, **kwargs)

Gets information about the specified `OCID`__.

Parameters:
  • maintenance_run_id (str) – (required) The maintenance run OCID.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type MaintenanceRun

Return type:

Response

Example:

Click here to see an example of how to use get_maintenance_run API.

get_vm_cluster_network(vm_cluster_network_id, **kwargs)

Obtain the VM cluster network on Database Infrastructure that has the specified `OCID`__.

Parameters:
  • vm_cluster_network_id (str) –

    (required) The `OCID`__ of the VM cluster network.

  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type VmClusterNetwork

Return type:

Response

Example:

Click here to see an example of how to use get_vm_cluster_network API.

get_vm_instance(vm_instance_id, **kwargs)

Obtain the VM instance on Database Infrastructure that has the specified `OCID`__.

Parameters:
  • vm_instance_id (str) –

    (required) The `OCID`__ of the VM instance.

  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type VmInstance

Return type:

Response

Example:

Click here to see an example of how to use get_vm_instance API.

get_work_request(work_request_id, **kwargs)

Get the status of the work request having the specified work request `OCID`__.

Parameters:
  • work_request_id (str) –

    (required) The `OCID`__ of the asynchronous work request.

  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type WorkRequest

Return type:

Response

Example:

Click here to see an example of how to use get_work_request API.

list_infrastructures(compartment_id, **kwargs)

Obtain a list of Database Infrastructures.

Parameters:
  • compartment_id (str) –

    (required) The `OCID`__ of the compartment. For list operations, you may provide the tenant [OCID] in this field. When a tenant OCID is provided, it will be validated against the caller’s tenant and then treated as tenant scope (compartmentId filtering is not applied).

  • display_name (str) – (optional) A filter to return resources that match the entire display name given. The match is case sensitive.
  • lifecycle_state (list[str]) –

    (optional) A filter to return resources that match the specified lifecycle state.

    Allowed values are: “CREATING”, “REQUIRES_VALIDATION”, “VALIDATING”, “VALIDATION_FAILED”, “REQUIRES_ACTIVATION”, “ACTIVATING”, “ACTIVE”, “ACTIVATION_FAILED”, “FAILED”, “UPDATING”, “DELETING”, “DELETED”, “DISCONNECTED”, “MAINTENANCE_IN_PROGRESS”

  • limit (int) – (optional) The maximum number of items to return in a page.
  • page (str) – (optional) The page token representing the page at which you want to start retrieving results. This token is usually retrieved from a previous list call.
  • sort_order (str) –

    (optional) The sort order that you want to use, which is either ASC or DESC.

    Allowed values are: “ASC”, “DESC”

  • sort_by (str) –

    (optional) The field by which you want to sort. You can provide only one type of sort order. The default order for timeCreated is descending. The default order for displayName is ascending. If no value is specified, then timeCreated is the default. When listing software images within the same version, using sortBy=buildIdentifier is recommended. buildIdentifier is a monotonically increasing, time-ordered string marker (yyyy-mm-dd-hh:mm:ss) stored with the image.

    Allowed values are: “timeCreated”, “displayName”, “buildIdentifier”

  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type InfrastructureCollection

Return type:

Response

Example:

Click here to see an example of how to use list_infrastructures API.

list_maintenance_executions(compartment_id, **kwargs)

Gets a list of the maintenance executions in the specified compartment.

Parameters:
  • compartment_id (str) –

    (required) The `OCID`__ of the compartment. For list operations, you may provide the tenant [OCID] in this field. When a tenant OCID is provided, it will be validated against the caller’s tenant and then treated as tenant scope (compartmentId filtering is not applied).

  • display_name (str) – (optional) A filter to return resources that match the entire display name given. The match is case sensitive.
  • infrastructure_id (str) – (optional) The Database Infrastructure ID.
  • target_resource_type (str) –

    (optional) The type of the target resource.

    Allowed values are: “DB_CC_INFRASTRUCTURE”

  • maintenance_type (str) –

    (optional) The maintenance type.

    Allowed values are: “PLANNED”, “UNPLANNED”

  • maintenance_run_id (str) – (optional) The maintenance run OCID.
  • lifecycle_state (str) –

    (optional) A filter to return only resources that match the given lifecycle state exactly.

    Allowed values are: “CREATING”, “SCHEDULED”, “IN_PROGRESS”, “SUCCEEDED”, “SKIPPED”, “FAILED”, “UPDATING”, “DELETING”, “DELETED”, “CANCELED”, “PARTIAL_SUCCESS”

  • maintenance_subtype (str) –

    (optional) The sub-type of the maintenance run.

    Allowed values are: “YEARLY”, “HALFYEARLY”, “QUARTERLY”, “MONTHLY”, “DAILY”, “HARDWARE”, “CRITICAL”, “INFRA_UPDATE”, “CPS_SERVICES_UPDATE”, “CPS_VM_UPDATE”, “SECURITY_MONTHLY”

  • time_accepted_less_than_or_equal_to (datetime) – (optional) Filter maintenance run for before given time.
  • time_accepted_greater_than_or_equal_to (datetime) – (optional) Filter maintenance run for after given time.
  • type (str) –

    (optional) The maintenance execution type.

    Allowed values are: “NOTIFY”, “EXECUTE”

  • limit (int) – (optional) The maximum number of items to return in a page.
  • page (str) – (optional) The page token representing the page at which you want to start retrieving results. This token is usually retrieved from a previous list call.
  • sort_by (str) –

    (optional) The field by which you want to sort. You can provide only one type of sort order. The default order for timeCreated is descending. The default order for displayName is ascending. If no value is specified, then timeCreated is the default. When listing software images within the same version, using sortBy=buildIdentifier is recommended. buildIdentifier is a monotonically increasing, time-ordered string marker (yyyy-mm-dd-hh:mm:ss) stored with the image.

    Allowed values are: “timeCreated”, “displayName”, “buildIdentifier”

  • sort_order (str) –

    (optional) The sort order that you want to use, which is either ASC or DESC.

    Allowed values are: “ASC”, “DESC”

  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type MaintenanceExecutionCollection

Return type:

Response

Example:

Click here to see an example of how to use list_maintenance_executions API.

list_maintenance_runs(compartment_id, **kwargs)

Gets a list of the maintenance runs in the specified compartment.

Parameters:
  • compartment_id (str) –

    (required) The `OCID`__ of the compartment. For list operations, you may provide the tenant [OCID] in this field. When a tenant OCID is provided, it will be validated against the caller’s tenant and then treated as tenant scope (compartmentId filtering is not applied).

  • display_name (str) – (optional) A filter to return resources that match the entire display name given. The match is case sensitive.
  • infrastructure_id (str) – (optional) The Database Infrastructure ID.
  • target_resource_type (str) –

    (optional) The type of the target resource.

    Allowed values are: “DB_CC_INFRASTRUCTURE”

  • maintenance_type (str) –

    (optional) The maintenance type.

    Allowed values are: “PLANNED”, “UNPLANNED”

  • lifecycle_state (str) –

    (optional) A filter to return only resources that match the given lifecycle state exactly.

    Allowed values are: “CREATING”, “SCHEDULED”, “IN_PROGRESS”, “SUCCEEDED”, “SKIPPED”, “FAILED”, “UPDATING”, “DELETING”, “DELETED”, “CANCELED”, “PARTIAL_SUCCESS”

  • maintenance_subtype (str) –

    (optional) The sub-type of the maintenance run.

    Allowed values are: “YEARLY”, “HALFYEARLY”, “QUARTERLY”, “MONTHLY”, “DAILY”, “HARDWARE”, “CRITICAL”, “INFRA_UPDATE”, “CPS_SERVICES_UPDATE”, “CPS_VM_UPDATE”, “SECURITY_MONTHLY”

  • time_accepted_less_than_or_equal_to (datetime) – (optional) Filter maintenance run for before given time.
  • time_accepted_greater_than_or_equal_to (datetime) – (optional) Filter maintenance run for after given time.
  • limit (int) – (optional) The maximum number of items to return in a page.
  • page (str) – (optional) The page token representing the page at which you want to start retrieving results. This token is usually retrieved from a previous list call.
  • sort_by (str) –

    (optional) The field by which you want to sort. You can provide only one type of sort order. The default order for timeCreated is descending. The default order for displayName is ascending. If no value is specified, then timeCreated is the default. When listing software images within the same version, using sortBy=buildIdentifier is recommended. buildIdentifier is a monotonically increasing, time-ordered string marker (yyyy-mm-dd-hh:mm:ss) stored with the image.

    Allowed values are: “timeCreated”, “displayName”, “buildIdentifier”

  • sort_order (str) –

    (optional) The sort order that you want to use, which is either ASC or DESC.

    Allowed values are: “ASC”, “DESC”

  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type MaintenanceRunCollection

Return type:

Response

Example:

Click here to see an example of how to use list_maintenance_runs API.

list_vm_cluster_networks(compartment_id, **kwargs)

Obtain a list of VM cluster networks on Database Infrastructure.

Parameters:
  • compartment_id (str) –

    (required) The `OCID`__ of the compartment. For list operations, you may provide the tenant [OCID] in this field. When a tenant OCID is provided, it will be validated against the caller’s tenant and then treated as tenant scope (compartmentId filtering is not applied).

  • display_name (str) – (optional) A filter to return resources that match the entire display name given. The match is case sensitive.
  • lifecycle_state (list[str]) –

    (optional) A filter to return resources that match the specified lifecycle state.

    Allowed values are: “CREATING”, “REQUIRES_VALIDATION”, “VALIDATING”, “VALIDATED”, “VALIDATION_FAILED”, “UPDATING”, “ALLOCATED”, “DELETING”, “DELETED”

  • is_scan_enabled (bool) – (optional) A filter to return VM cluster network resources that matches the specified value.
  • limit (int) – (optional) The maximum number of items to return in a page.
  • page (str) – (optional) The page token representing the page at which you want to start retrieving results. This token is usually retrieved from a previous list call.
  • sort_order (str) –

    (optional) The sort order that you want to use, which is either ASC or DESC.

    Allowed values are: “ASC”, “DESC”

  • sort_by (str) –

    (optional) The field by which you want to sort. You can provide only one type of sort order. The default order for timeCreated is descending. The default order for displayName is ascending. If no value is specified, then timeCreated is the default. When listing software images within the same version, using sortBy=buildIdentifier is recommended. buildIdentifier is a monotonically increasing, time-ordered string marker (yyyy-mm-dd-hh:mm:ss) stored with the image.

    Allowed values are: “timeCreated”, “displayName”, “buildIdentifier”

  • opc_request_id (str) – (optional) The client request identifier.
  • infrastructure_id (str) –

    (optional) The `OCID`__ of the Database Infrastructure.

  • node_count (int) – (optional) Count of virtual machines in this VM cluster.
  • vm_network_consumer_type (str) –

    (optional) VM network consumer type.

    Allowed values are: “INSTANCE”, “CLUSTER”

  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type VmClusterNetworkCollection

Return type:

Response

Example:

Click here to see an example of how to use list_vm_cluster_networks API.

list_vm_instances(compartment_id, **kwargs)

Obtain a list of VM instances.

Parameters:
  • compartment_id (str) –

    (required) The `OCID`__ of the compartment. For list operations, you may provide the tenant [OCID] in this field. When a tenant OCID is provided, it will be validated against the caller’s tenant and then treated as tenant scope (compartmentId filtering is not applied).

  • display_name (str) – (optional) A filter to return resources that match the entire display name given. The match is case sensitive.
  • lifecycle_state (list[str]) –

    (optional) A filter to return resources that match the specified lifecycle state.

    Allowed values are: “CREATING”, “ACTIVE”, “INACTIVE”, “UPDATING”, “DELETING”, “DELETED”

  • limit (int) – (optional) The maximum number of items to return in a page.
  • page (str) – (optional) The page token representing the page at which you want to start retrieving results. This token is usually retrieved from a previous list call.
  • sort_order (str) –

    (optional) The sort order that you want to use, which is either ASC or DESC.

    Allowed values are: “ASC”, “DESC”

  • sort_by (str) –

    (optional) The field by which you want to sort. You can provide only one type of sort order. The default order for timeCreated is descending. The default order for displayName is ascending. If no value is specified, then timeCreated is the default. When listing software images within the same version, using sortBy=buildIdentifier is recommended. buildIdentifier is a monotonically increasing, time-ordered string marker (yyyy-mm-dd-hh:mm:ss) stored with the image.

    Allowed values are: “timeCreated”, “displayName”, “buildIdentifier”

  • opc_request_id (str) – (optional) The client request identifier.
  • infrastructure_id (str) –

    (optional) The `OCID`__ of the Database Infrastructure.

  • base_server_id (str) –

    (optional) The `OCID`__ of the Database Infrastructure Server Id.

  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type VmInstanceCollection

Return type:

Response

Example:

Click here to see an example of how to use list_vm_instances API.

list_work_request_errors(work_request_id, **kwargs)

View the list of errors for the work request that have the specified work request `OCID`__.

Parameters:
  • work_request_id (str) –

    (required) The `OCID`__ of the asynchronous work request.

  • opc_request_id (str) – (optional) The client request identifier.
  • page (str) – (optional) The page token representing the page at which you want to start retrieving results. This token is usually retrieved from a previous list call.
  • limit (int) – (optional) The maximum number of items to return in a page.
  • sort_order (str) –

    (optional) The sort order that you want to use, which is either ASC or DESC.

    Allowed values are: “ASC”, “DESC”

  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type WorkRequestErrorCollection

Return type:

Response

Example:

Click here to see an example of how to use list_work_request_errors API.

list_work_request_logs(work_request_id, **kwargs)

View the log entries for the work request that have the specified work request `OCID`__.

Parameters:
  • work_request_id (str) –

    (required) The `OCID`__ of the asynchronous work request.

  • opc_request_id (str) – (optional) The client request identifier.
  • page (str) – (optional) The page token representing the page at which you want to start retrieving results. This token is usually retrieved from a previous list call.
  • limit (int) – (optional) The maximum number of items to return in a page.
  • sort_order (str) –

    (optional) The sort order that you want to use, which is either ASC or DESC.

    Allowed values are: “ASC”, “DESC”

  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type WorkRequestLogEntryCollection

Return type:

Response

Example:

Click here to see an example of how to use list_work_request_logs API.

list_work_requests(compartment_id, **kwargs)

View a list of work request details in the specified compartment.

Parameters:
  • compartment_id (str) –

    (required) The `OCID`__ of the compartment. For list operations, you may provide the tenant [OCID] in this field. When a tenant OCID is provided, it will be validated against the caller’s tenant and then treated as tenant scope (compartmentId filtering is not applied).

  • resource_id (str) –

    (optional) The `OCID`__ of the work request resource.

  • opc_request_id (str) – (optional) The client request identifier.
  • page (str) – (optional) The page token representing the page at which you want to start retrieving results. This token is usually retrieved from a previous list call.
  • limit (int) – (optional) The maximum number of items to return in a page.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type WorkRequestCollection

Return type:

Response

Example:

Click here to see an example of how to use list_work_requests API.

migrate_vm_instance(vm_instance_id, **kwargs)

Migrate the VM instance on Database Infrastructure that has the specified `OCID`__.

Parameters:
  • vm_instance_id (str) –

    (required) The `OCID`__ of the VM instance.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use migrate_vm_instance API.

reschedule_maintenance_run(maintenance_run_id, reschedule_maintenance_run_details, **kwargs)

Reschedules the specified maintenance run by providing a new timeScheduled value. Only maintenance runs in eligible states may be rescheduled.

Parameters:
  • maintenance_run_id (str) – (required) The maintenance run OCID.
  • reschedule_maintenance_run_details (oci.datacc.models.RescheduleMaintenanceRunDetails) – (required) The new scheduled time for the maintenance run.
  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_request_id (str) – (optional) The client request identifier.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type MaintenanceRun

Return type:

Response

Example:

Click here to see an example of how to use reschedule_maintenance_run API.

restart_vm_instance(vm_instance_id, **kwargs)

Restart the VM instance on Database Infrastructure that has the specified `OCID`__.

Parameters:
  • vm_instance_id (str) –

    (required) The `OCID`__ of the VM instance.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use restart_vm_instance API.

scale_infrastructure_storage(scale_infrastructure_storage_details, infrastructure_id, **kwargs)

Scale storage for the specified infrastructure using the specified details.

Parameters:
  • scale_infrastructure_storage_details (oci.datacc.models.ScaleInfrastructureStorageDetails) – (required) The scale storage details for the Database Infrastructure.
  • infrastructure_id (str) –

    (required) The `OCID`__ of the Database Infrastructure.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use scale_infrastructure_storage API.

scale_vm_instance(scale_vm_instance_details, vm_instance_id, **kwargs)

Scale the VM instance on Database Infrastructure that has the specified `OCID`__.

Parameters:
  • scale_vm_instance_details (oci.datacc.models.ScaleVmInstanceDetails) – (required) Scale the VM instance.
  • vm_instance_id (str) –

    (required) The `OCID`__ of the VM instance.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use scale_vm_instance API.

start_vm_instance(vm_instance_id, **kwargs)

Start the VM instance on Database Infrastructure that has the specified `OCID`__.

Parameters:
  • vm_instance_id (str) –

    (required) The `OCID`__ of the VM instance.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use start_vm_instance API.

stop_vm_instance(vm_instance_id, **kwargs)

Stop the VM instance on Database Infrastructure that has the specified `OCID`__.

Parameters:
  • vm_instance_id (str) –

    (required) The `OCID`__ of the VM instance.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use stop_vm_instance API.

update_infrastructure(update_infrastructure_details, infrastructure_id, **kwargs)

Update the Database Infrastructure that has the specified `OCID`__.

Parameters:
  • update_infrastructure_details (oci.datacc.models.UpdateInfrastructureDetails) – (required) The updated Database Infrastructure details.
  • infrastructure_id (str) –

    (required) The `OCID`__ of the Database Infrastructure.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type Infrastructure

Return type:

Response

Example:

Click here to see an example of how to use update_infrastructure API.

update_maintenance_run(update_maintenance_run_details, maintenance_run_id, **kwargs)

Update maintenance run attributes.

Parameters:
  • update_maintenance_run_details (oci.datacc.models.UpdateMaintenanceRunDetails) – (required) The updated maintenance run details.
  • maintenance_run_id (str) – (required) The maintenance run OCID.
  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type MaintenanceRun

Return type:

Response

Example:

Click here to see an example of how to use update_maintenance_run API.

update_vm_cluster_network(update_vm_cluster_network_details, vm_cluster_network_id, **kwargs)

Update the VM cluster network on Database Infrastructure that has the specified `OCID`__.

Parameters:
  • update_vm_cluster_network_details (oci.datacc.models.UpdateVmClusterNetworkDetails) – (required) The updated VM cluster details.
  • vm_cluster_network_id (str) –

    (required) The `OCID`__ of the VM cluster network.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type VmClusterNetwork

Return type:

Response

Example:

Click here to see an example of how to use update_vm_cluster_network API.

update_vm_instance(update_vm_instance_details, vm_instance_id, **kwargs)

Update the VM instance on Database Infrastructure that has the specified `OCID`__.

Parameters:
  • update_vm_instance_details (oci.datacc.models.UpdateVmInstanceDetails) – (required) The updated VM instance details.
  • vm_instance_id (str) –

    (required) The `OCID`__ of the VM instance.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type VmInstance

Return type:

Response

Example:

Click here to see an example of how to use update_vm_instance API.

validate_infrastructure(validate_infrastructure_details, infrastructure_id, **kwargs)

Validate an Database Infrastructure using the specified details.

Parameters:
  • validate_infrastructure_details (oci.datacc.models.ValidateInfrastructureDetails) – (required) The validation details for the Database Infrastructure.
  • infrastructure_id (str) –

    (required) The `OCID`__ of the Database Infrastructure.

  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type Infrastructure

Return type:

Response

Example:

Click here to see an example of how to use validate_infrastructure API.

validate_vm_cluster_network(vm_cluster_network_id, **kwargs)

Validates an VM cluster network on Database Infrastructure.

Parameters:
  • vm_cluster_network_id (str) –

    (required) The `OCID`__ of the VM cluster network.

  • opc_retry_token (str) – (optional) A token that uniquely identifies a request, so the request can be retried without risk of processing that same action again, in the event of a timeout or server error. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource was deleted and purged from the system, then a retry of the original creation request can be rejected.
  • opc_request_id (str) – (optional) The client request identifier.
  • if_match (str) – (optional) For Optimistic concurrency control. In the PUT or DELETE call for a resource, set the ‘if-match’ parameter to the value of the Etag from a previous GET or POST response for that resource. The resource is updated or deleted only if the Etag that you provide matches the current Etag value for the resource.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use validate_vm_cluster_network API.